<?php
include 'include/header.php';

if (isset($_GET['id'])) {
    $empid = base64_decode($_GET['id']);
    $sql = "SELECT * FROM `executive` WHERE `id` = '$empid'";
    $employee = $conn->query($sql);
    $row = $employee->fetch_assoc();
}

if (isset($_POST['submit'])) {
    $employee_code = htmlspecialchars($_POST['employee_code']);
    $name = htmlspecialchars($_POST['name']);
    $joining = htmlspecialchars($_POST['joining']);
    $target = htmlspecialchars($_POST['target']);
    $designation = htmlspecialchars($_POST['designation']);
    $from_date = htmlspecialchars($_POST['from_date']);
    $to_date = htmlspecialchars($_POST['to_date']);
    $status = htmlspecialchars($_POST['status']);
    $id = $_POST['id'];


    $stmt = $conn->prepare("UPDATE `executive` 
                        SET `username` = ?, 
                            `mobile` = ?, 
                            `designation` = ?, 
                            `joining` = ?, 
                            `target` = ?, 
                            `from_date` = ?, 
                            `to_date` = ?, 
                            `status` = ? 
                        WHERE `id` = ?");
    $stmt->bind_param("sssssssss", $name, $employee_code, $designation, $joining, $target, $from_date, $to_date, $status, $id);

    if ($stmt->execute()) { ?>
        <script>
            setTimeout(function() {
                swal({
                    title: "User Updated",
                    text: "User Updated Successfully",
                    type: "success"
                }).then(function() {
                    window.location.href = 'employee_show.php';
                });
            }, 1000);
        </script>
    <?php
    } else { ?>
        <script>
            setTimeout(function() {
                swal({
                    title: "Failed to update",
                    text: "Failed to update user data",
                    type: "error"
                }).then(function() {
                    window.location.href = 'add_employee.php';
                });
            }, 1000);
        </script>
<?php
    }
}
?>


<div class="page-wrapper">
    <div class="page-content">
        <div class="row">
            <div class="col-xl-12 mx-auto">
                <div class="card">
                    <h6 class="mb-0 text-uppercase card-header">Executives Add</h6>
                    <div class="card-body">
                        <form class="row needs-validation" autocomplete="off" novalidate action="" method="POST">
                            <div class="col-md-4 form-group mb-3">
                                <label class="form-label">Executives Number</label>
                                <input type="hidden" name="id" value="<?= $row['id'] ?>">
                                <select name="employee_code" class="form-control" id="mobile" required>
                                    <option value="">Select Employee Number</option>
                                    <?php
                                    $sql = "SELECT * FROM `employee` WHERE `status` = '1'";
                                    $result = $conn->query($sql);
                                    while ($line = $result->fetch_assoc()) { ?>
                                        <option
                                            value="<?= $line['employee_mobile'] ?>"
                                            <?= $row['mobile'] == $line['employee_mobile'] ? 'selected' : '' ?>>
                                            <?= $line['name'] ?>
                                        </option>
                                    <?php } ?>
                                </select>
                            </div>
                            <div class="col-md-4 form-group mb-3">
                                <label class="form-label">Name</label>
                                <input type="text" name="name" value="<?= $row['username'] ?>" id="name" class="form-control" readonly required>
                            </div>
                            <div class="col-md-4 form-group mb-3">
                                <label class="form-label">Joining Date</label>
                                <input type="text" name="joining" id="date_of_joining" value="<?= $row['joining'] ?>" class="form-control" readonly required>
                            </div>
                            <div class="col-md-4 form-group mb-3">
                                <label class="form-label">Designation</label>
                                <input type="text" class="form-control" id="designation" value="<?= $row['designation'] ?>" name="designation" readonly required>
                            </div>
                            <div class="col-md-4 form-group mb-3">
                                <label class="form-label">Set Target</label>
                                <input type="number" name="target" class="form-control" value="<?= $row['target'] ?>" required>
                            </div>
                            <div class="col-md-4 form-group mb-3">
                                <label class="form-label">From Date</label>
                                <input type="date" name="from_date" class=" form-control" value="<?= $row['from_date'] ?>" required>
                            </div>
                            <div class="col-md-4 form-group mb-3">
                                <label class="form-label">To Date</label>
                                <input type="date" name="to_date" class="form-select" value="<?= $row['to_date'] ?>" required>
                            </div>
                            <div class="col-md-4 form-group mb-3">
                                <label class="form-label">Status</label>
                                <select name="status" class="form-control">
                                    <option <?= $row['status'] == '1' ? 'selected' : '' ?> value="1">Active</option>
                                    <option <?= $row['status'] == '0' ? 'selected' : '' ?> value="0">Inactive</option>
                                </select>
                            </div>
                            <div class="col-12 text-center">
                                <input class="btn btn-success" type="submit" name="submit">
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php include 'include/footer.php' ?>

<script>
    $(document).ready(function() {
        $('#mobile').on('change', function() {
            let mobile = $(this).val();

            $.ajax({
                url: 'getEmpDetails.php',
                type: 'POST',
                data: {
                    mobile: mobile
                },
                dataType: 'json',
                success: function(response) {
                    if (response.success) {
                        $('#name').val(response.data.name);
                        $('#date_of_joining').val(response.data.joining_date);
                        $('#designation').val(response.data.designation);
                    } else {
                        $('#name').val('');
                        $('#date_of_joining').val('');
                        $('#designation').val('');
                    }
                },
                error: function(xhr, status, error) {
                    console.error('Ajax error:', status, error);
                    alert('An error occurred while fetching data.');
                }
            });
        });
    });
</script>