<?php
session_start();

include 'include/connection.php';

if (isset($_POST['signin'])) {
    $username = $_POST['username'];
    $password = $_POST['password'];
    $user_type = $_POST['type'];
    $username = mysqli_real_escape_string($conn, $username);

    if ($user_type == 'admin') {
        $query = "SELECT * FROM `admin` WHERE `username` = '$username' AND `status` = '1'";
    } else if ($user_type == 'executive') {
        $query = "SELECT * FROM `executive` WHERE `username` = '$username' AND `status` = '1'";
    }

    $result = mysqli_query($conn, $query);

    if (mysqli_num_rows($result) == 1) {
        $row = mysqli_fetch_assoc($result);

        if (password_verify($password, $row['password'])) {
            $_SESSION['username'] = $username;
            $_SESSION['user_type'] = $user_type;
            header("Location: dashboard.php");
            exit();
        } else { ?>
            <script>
                setTimeout(function() {
                    swal({
                        title: "Invalid Password",
                        text: "Try Again",
                        type: "error"
                    }).then(function() {
                        window.location.href = 'signin.php';
                    });
                }, 1000);
            </script>
        <?php }
    } else {
        ?>
        <script>
            setTimeout(function() {
                swal({
                    title: "Invalid Username",
                    text: "Try Again",
                    type: "error"
                }).then(function() {
                    window.location.href = 'signin.php';
                });
            }, 1000);
        </script>
<?php
    }
}
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <title>ABSPay - Login</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="assets/images/abspay-logo.png" rel="icon" type="image/x-icon" />
    <link rel="stylesheet" href="assets/css/bootstrap.min.css">
    <link rel="stylesheet" href="assets/css/insur.css">
    <link rel="stylesheet" href="assets/css/style.css">
    
    <style>
        .backG {
            background: url('assets/images/abspay-login.jpg');
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center;
        }
        form {
            background-color: rgba(255, 255, 255, 0.8);
        }
    </style>
</head>

<body>
    <div class="vh-100 d-flex align-items-center justify-content-center backG">
        <div class="row m-auto">
            <div class="col-md-8 m-auto">
                <form action="" method="POST" class="row py-4 border p-2 border-dark rounded">
                    <div class="col-md-12 form-group mb-3">
                        <label class="form-label mb-1">User Type</label>
                        <select class="form-control" name="type" id="type" required>
                            <option value="admin">Admin</option>
                            <option value="executive">Executive</option>
                        </select>
                    </div>
                    <div class="col-md-12 form-group mb-3">
                        <input type="text" name="username" class="form-control" required placeholder="Username">
                    </div>
                    <div class="col-md-12 form-group mb-3">
                        <input type="password" name="password" class="form-control" required placeholder="Password">
                    </div>
                    <div class="col-md-12 form-group mb-3 text-end">
                        <input type="submit" value="Sign In" class="btn btn-block btn-success" name="signin">
                    </div>
                </form>
            </div>
        </div>
    </div>

    <script src="assets/js/jquery.min.js"></script>
    <script src="assets/js/bootstrap.bundle.min.js"></script>
    <script src="assets/js/sweetalert2.all.min.js"></script>
    <script src="assets/js/insur.js"></script>
    <script src="assets/js/app.js"></script>
</body>

</html>